﻿using System.Net;

namespace HyperSoft.Ejemplo.Utilerias
{
  public static class App
  {
    public static bool IsVisualStudio { get; }

    public static void Initialization(string title)
    {
      ServicePointManager.SecurityProtocol = SecurityProtocolType.Tls11 | SecurityProtocolType.Tls12;

      System.Console.Title = $"-= Facturando | Web service Validar RFC | {title} =-";

      if (IsVisualStudio)
        System.Console.CursorVisible = false;

      Shared.Chronometer.Instance.StartWithCursor();
    }

    static App()
    {
      IsVisualStudio = (System.Console.CursorLeft == 0) && (System.Console.CursorTop == 0);
    }
  }
}
