﻿using System.Collections.Specialized;
using System.Net;
using System.Text;

namespace HyperSoft.Ejemplo.Utilerias
{
  public sealed class WebService
  {
    private const string UrlBase = "https://facturaelectronicagratis.mx/validarrfc/v1/";
    private const string Method = "POST";
    private readonly string url;

    public string Send(string[,] parameters)
    {
      using (WebClient client = new WebClient())
      {
        NameValueCollection postParameters = new NameValueCollection();

        for (int i = 0; i < parameters.GetLength(0); i++)
          postParameters.Add(parameters[i, 0], parameters[i, 1]);

        byte[] response = client.UploadValues(this.url, Method, postParameters);
        return Encoding.UTF8.GetString(response);
      }
    }

    public WebService(string resource)
    {
      this.url = $"{UrlBase}{resource}";
    }
  }
}
