unit HyperSoft.Ejemplo.Utilerias.WebService;

interface

uses
  Classes;


type
  TWebService = Class(TObject)
  Private
    fUrl : string;
  Public
    Function Send(parameters : TStringList) : string;
    constructor Create(const resource : string);
  end;

implementation

uses
  SysUtils, IdHTTP;

Const
  UrlBase = 'http://facturaelectronicagratis.mx/validarrfc/v1/';

{ TWebService }

constructor TWebService.Create;
begin
  furl := UrlBase + resource;
end;

function TWebService.Send(parameters: TStringList): string;
var
  client: TIdHTTP;
begin
  client := TIdHTTP.Create(nil);
  try
    result := client.Post(fUrl, parameters);
  finally
    FreeAndNil(client);
  end;
end;

end.
