﻿'
' * ESTADO DE CUENTA
' * ================================================================================
' *
' * Descripción:
' *   Ejemplo que muesta como obtener el estado de cuenta de un integrador.
' *
' * Datos retornados:
' *   - Créditos adquiridos
' *   - Créditos consumidos
' *   - Créditos disponigles
' *   - Estatus del integrador

Imports HyperSoft.Ejemplo.Utilerias

' ReSharper disable InconsistentNaming
Module Program

  Sub Main()
    App.Initialization("Estado de cuenta")

    If Integrador.Validate() = False Then
      Return
    End If    

    Dim parameters As String(,) = {
      {"user", Integrador.User},
      {"iduser", Integrador.IdUser},
      {"result", "1"}, ' Formato de la respuesta | Opcional | 1 - JSON
      {"prettyprint", "1"} ' Dar formato a la respuesta | 0 - No / 1 - Si
    }

    Console.Write(New WebService("estadocuenta.php").Send(parameters))

  End Sub

End Module
