﻿namespace HyperSoft.Ejemplo.Utilerias
{
  public static class Integrador
  {
    public static string User { get; }
    public static string IdUser { get; }

    public static bool Validate()
    {
      if (string.IsNullOrEmpty(User) || string.IsNullOrEmpty(IdUser))
      {
        const string Message = 
          "{0}Debes asignar el USER y IDUSER en el archivo 'Integrador.cs', en caso{0}" +
          "de no contar con estos datos, puedes solicitarlos enviando un correo a{0}" 
          +"contacto@facturando.mx con los siguientes datos de tu empresa:{0}{0}" +
          "- RFC{0}" +
          "- Nombre del contacto{0}" +
          "- Teléfono de contacto";

        Console.Write(Message);       
        return false;
      }

      return true;
    }

    static Integrador()
    {
      User = "";
      IdUser = "";
    }
  }
}
